Bug 1896306 (CVE-2020-26950) - CVE-2020-26950 Mozilla: Write side effects in MCallGetProperty opcode not accounted for
Summary: CVE-2020-26950 Mozilla: Write side effects in MCallGetProperty opcode not acc...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-26950
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1896268 1896269 1896270 1896271 1896272 1896273 1896274 1896290 1896291 1896292 1896293 1896294 1896295 1896297
Blocks: 1896266
TreeView+ depends on / blocked
 
Reported: 2020-11-10 09:18 UTC by Doran Moppert
Modified: 2021-10-05 06:52 UTC (History)
6 users (show)

Fixed In Version: firefox 82.0.3, firefox 78.4.1, thunderbird 78.4.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-12 17:28:31 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:5099 0 None None None 2020-11-12 14:57:31 UTC
Red Hat Product Errata RHSA-2020:5100 0 None None None 2020-11-12 14:38:59 UTC
Red Hat Product Errata RHSA-2020:5104 0 None None None 2020-11-12 15:06:01 UTC
Red Hat Product Errata RHSA-2020:5135 0 None None None 2020-11-17 16:34:03 UTC
Red Hat Product Errata RHSA-2020:5138 0 None None None 2020-11-17 17:20:35 UTC
Red Hat Product Errata RHSA-2020:5139 0 None None None 2020-11-17 19:15:42 UTC
Red Hat Product Errata RHSA-2020:5146 0 None None None 2020-11-18 14:09:24 UTC
Red Hat Product Errata RHSA-2020:5162 0 None None None 2020-11-23 08:57:46 UTC
Red Hat Product Errata RHSA-2020:5163 0 None None None 2020-11-23 09:11:29 UTC
Red Hat Product Errata RHSA-2020:5164 0 None None None 2020-11-23 09:01:31 UTC
Red Hat Product Errata RHSA-2020:5166 0 None None None 2020-11-23 08:46:09 UTC
Red Hat Product Errata RHSA-2020:5167 0 None None None 2020-11-23 08:39:44 UTC

Description Doran Moppert 2020-11-10 09:18:38 UTC
In certain circumstances, the MCallGetProperty opcode can be emitted with unmet assumptions resulting in an exploitable use-after-free condition.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2020-49/#CVE-2020-26950

Comment 1 Doran Moppert 2020-11-10 09:18:43 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: 360政企安全漏洞研究院 in Tianfu Cup 2020 International Cybersecurity Contest

Comment 9 errata-xmlrpc 2020-11-12 14:38:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:5100 https://access.redhat.com/errata/RHSA-2020:5100

Comment 10 errata-xmlrpc 2020-11-12 14:57:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:5099 https://access.redhat.com/errata/RHSA-2020:5099

Comment 11 errata-xmlrpc 2020-11-12 15:05:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:5104 https://access.redhat.com/errata/RHSA-2020:5104

Comment 12 Product Security DevOps Team 2020-11-12 17:28:31 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-26950

Comment 26 errata-xmlrpc 2020-11-17 16:34:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:5135 https://access.redhat.com/errata/RHSA-2020:5135

Comment 27 errata-xmlrpc 2020-11-17 17:20:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:5138 https://access.redhat.com/errata/RHSA-2020:5138

Comment 28 errata-xmlrpc 2020-11-17 19:15:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2020:5139 https://access.redhat.com/errata/RHSA-2020:5139

Comment 30 errata-xmlrpc 2020-11-18 14:09:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:5146 https://access.redhat.com/errata/RHSA-2020:5146

Comment 36 errata-xmlrpc 2020-11-23 08:39:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:5167 https://access.redhat.com/errata/RHSA-2020:5167

Comment 37 errata-xmlrpc 2020-11-23 08:46:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:5166 https://access.redhat.com/errata/RHSA-2020:5166

Comment 38 errata-xmlrpc 2020-11-23 08:57:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2020:5162 https://access.redhat.com/errata/RHSA-2020:5162

Comment 39 errata-xmlrpc 2020-11-23 09:01:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:5164 https://access.redhat.com/errata/RHSA-2020:5164

Comment 40 errata-xmlrpc 2020-11-23 09:11:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:5163 https://access.redhat.com/errata/RHSA-2020:5163


Note You need to log in before you can comment on or make changes to this bug.